<div class="card noHover" id="newRoundCard">
  <div  class="card-header d-inline">
    <h4 class="d-inline">Runden</h4>
    <button class="btn btn-link d-inline" data-toggle="modal" data-target="#modal-create" >
      <i class="fa fa-plus fa-2x"></i>
    </button>
      <span class="badge badge-primary badge-pill">Runden: {{roundService.getCurrent().length}}</span>
      
  </div>

  <div class="card-body">
    <div id="accordion">
      <div class="card noHover" *ngFor="let round of roundService.getCurrent()" >
        <a class="card-header fluid-container" id="headingOne" data-toggle="collapse" [attr.data-target]="'#collapse'+ round.id" aria-expanded="true">
          <div class="row">
            
            <div class="col-md-10">
              <button class="btn btn-link d-inline" data-toggle="collapse" [attr.data-target]="'#collapse'+ round.id">
                <i class="fa fa-angle-down fa-3x"></i>
              </button>
              <div id ="actToggle" class="d-inline">
                <h5 class="d-inline">
                    "{{round.title}}"
                </h5>
                
                <button class="btn btn-link d-inline" data-toggle="modal" [attr.data-target]="'#modal' + round.id" >
                    <i class="fa fa-edit fa-2x"></i>
                </button>
                  
                <span class="badge badge-primary badge-pill">Fragen: {{round.questions.length}}</span>
                
                </div>
              
            </div>
            <div class="col-md-2 d-inline">

              <button class="btn btn-link d-inline" (click)="deleteRound(round)">
                <i class="fa fa-trash fa-2x"></i>
              </button>
          </div>
          </div>
            

        </a>

    
        <div [attr.id]="'collapse'+ round.id" class="collapse" aria-labelledby="headingOne" data-parent="#accordion" >
          <div class="card-body">
            
              <div class="list-group list-group-flush fluid-container">
                  <div  class="row list-group-item list-group-item-action" *ngFor="let question of round.questions" >
                    <div class="row" style="width:100%">
                      <div class="col-md-8 d-inline question-content"> {{question.content}}
                      </div> 
                      <div class="col-md-3 d-inline question-content"> {{question.answer}}
                      </div>
                      
                      <div class="col-md-1 d-inline">

                          <button class="btn btn-link d-inline" (click)="deleteQuestion(round, question)">
                            <i class="fa fa-trash fa-2x"></i>
                          </button>
                      </div>

                    </div>
                      
                      
                      
                  </div>
              </div>  

          </div>
        </div>
      </div>
    </div>
  </div>    
</div>
<div>
  <div  *ngFor="let round of roundService.getCurrent()" [attr.id]="'modal'+ round.id"  class="modal fade" role="dialog">
    <app-question-edit [type]="edit" [round]="round"></app-question-edit>
  </div>
  <div id="modal-create"  class="modal fade" role="dialog">
    <app-question-edit [type]="create"></app-question-edit>
  </div>

</div>

